#include <iostream>
#include<vector>
#include<cmath>

using namespace std;

int main()
{
   int n,k=1,s=0;
   cin>>n;
   vector<int>a;
   int i=3;
   a[0]=1*pow(10,k);
   while(a[i-3]<=n)
   {
       a[i-3]=1*pow(10,k);
       a[i-2]=2*pow(10,k);
       a[i-1]=5*pow(10,k);
       k++;
       i=i+3;
   }
   int z=0;
   for( int k=i-3; k>=0; k--)
   {
       if(z<=n)
       {
           z+=a[k];
           s++;
           k++;
       }
       if(z>n)
       {
           z-=a[k];
           s--;
       }

       if(z==n)
       {
           cout<<s;
           break;
       }

   }
}